CyberHosting

PHP 7.3 timezonedb.so file Issue

Hello,

I have switched to Litespeed Enterprise Web Server for 1 site when Cyberpanel version was 1.7. Then I have upgraded to Cyberpanel v1.8

My site was on PHP 7.3 at that time. However I am facing with the issue timezonedb.so not presents.

[root@webserver ~]# tail -f /usr/local/lsws/logs/stderr.log
PHP Warning: PHP Startup: Unable to load dynamic library 'timezonedb.so' (tried: /usr/local/lsws/lsphp73/lib64/php/modules/timezonedb.so (/usr/local/lsws/lsphp73/lib64/php/modules/timezonedb.so: cannot open shared object file: No such file or directory), /usr/local/lsws/lsphp73/lib64/php/modules/timezonedb.so.so (/usr/local/lsws/lsphp73/lib64/php/modules/timezonedb.so.so: cannot open shared object file: No such file or directory)) in Unknown on line 0

And yes, unfortunately timezonedb.so does not present for PHP 7.3

[root@webserver ~]# locate timezonedb.so
/usr/local/lsws/lsphp54/lib64/php/modules/timezonedb.so
/usr/local/lsws/lsphp55/lib64/php/modules/timezonedb.so
/usr/local/lsws/lsphp56/lib64/php/modules/timezonedb.so
/usr/local/lsws/lsphp70/lib64/php/modules/timezonedb.so
/usr/local/lsws/lsphp71/lib64/php/modules/timezonedb.so
/usr/local/lsws/lsphp72/lib64/php/modules/timezonedb.so

I would be really happy if you can help me with the issue.

Comments

  • edited January 31
    there was an issue with installer script where it compiles timezonedb

    which I have fixed in later version , but since you were come from 1.7 , you may need to manually install it

    try

    yum install lsphp73-devel -y /usr/local/lsws/lsphp73/bin/pecl install timezonedb echo "extension=timezonedb.so" > /usr/local/lsws/lsphp73/etc/php.d/20-timezone.ini systemctl restart lsws killall lsphp
Sign In or Register to comment.
CyberHosting CyberPanel Discord

Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

In this Discussion